Skip to navigation

Update ScratchFile

Beta
Update ScratchFile.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

scratch_file_idstringRequired
ID of the ScratchFile.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
uploadStatusenumRequired
Allowed values:

Response

OK
__typenamestringOptional
createdAtstring or nullOptional
creatorobjectOptional
downloadUrlstring or nullOptional
errorMessagestring or nullOptional
externalFileIdstring or nullOptional
fileobject or nullOptional
filenamestringOptional
idstringOptional
mimeTypestring or nullOptional
modifiedAtstring or nullOptional
namestringOptional
originAutomationStepDataobject or nullOptional
The automation step data that produced this file.
sizeinteger or nullOptional
uploadStatusenumOptional
Allowed values:
uploadUrlstring or nullOptional
originPipelineStepDataobject or nullOptionalDeprecated
Use originAutomationStepData instead.

Errors

400
Scratch File Update Request Bad Request Error
403
Scratch File Update Request Forbidden Error
404
Scratch File Update Request Not Found Error
409
Scratch File Update Request Conflict Error
429
Scratch File Update Request Too Many Requests Error
500
Scratch File Update Request Internal Server Error